petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSPythonSetType

Initalize a TS object implemented in Python.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPythonSetType(TS ts,const char pyname[])

Collective on TS

### Input Parameter

| ts | - the nonlinear solver (TS) context.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

-ts_python_type <pyname> -

### Keywords

TS, Python

### See Also

TSCreate(), TSSetType(), TSPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/ts/impls/python/pythonts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages